diff version.sh @ 18784:b5777da79b53

Adapt FFmpeg version.sh that only recreates version.h if its content changed.
author diego
date Thu, 22 Jun 2006 13:47:50 +0000
parents 04ed79acda15
children 72e6908f0347
line wrap: on
line diff
--- a/version.sh	Thu Jun 22 13:34:00 2006 +0000
+++ b/version.sh	Thu Jun 22 13:47:50 2006 +0000
@@ -1,7 +1,12 @@
 #!/bin/sh
 
-revision=r`grep revision .svn/entries | cut -d '"' -f 2 2> /dev/null`
-
 test "$1" && extra="-$1"
 
-echo "#define VERSION \"dev-SVN-${revision}${extra}\"" > version.h
+svn_revision=`svn info | grep Revision | cut -d' ' -f2 || echo UNKNOWN`
+NEW_REVISION="#define VERSION \"dev-SVN-r${svn_revision}${extra}\""
+OLD_REVISION=`cat version.h 2> /dev/null`
+
+# Update version.h only on revision changes to avoid spurious rebuilds
+if test "$NEW_REVISION" != "$OLD_REVISION"; then
+    echo "$NEW_REVISION" > version.h
+fi